function init(hero) {
    hero.setName("War Machine");
    hero.setTier(8);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");	
 
    
    hero.addPowers("pack:warmachinearmor", "fiskheroes:bullet_immunity");
   
   hero.addAttribute("WEAPON_DAMAGE", 15.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 21.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 120.0, 0);    
    hero.addAttribute("JUMP_HEIGHT", 0.8, 0);
    hero.addAttribute("SPRINT_SPEED", 0.15, 1);
    hero.addAttribute("STEP_HEIGHT", 0.0, 0);

    hero.addKeyBind("CHARGED_BEAM", "Shoulder Cannon Blast", 2);  
	
    hero.addKeyBind("AIM", "Aim Wrist Guns", 1);
  hero.addKeyBind("EARTHQUAKE", "Airstrike", 3);
    hero.addKeyBind("SHIELD", "Repulsor Field", 4);
    hero.addKeyBind("UTILITY_BELT", "Launch Bombs", 5);
    
   hero.setModifierEnabled(isModifierEnabled);
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
	
    
    hero.addSoundEvent("MASK_OPEN", "fiskheroes:iron_man_mask_open");
    hero.addSoundEvent("MASK_CLOSE", "fiskheroes:iron_man_mask_close");
    hero.addSoundEvent("STEP", "fiskheroes:iron_man_walk");
	   hero.setDefaultScale(1.02);

}

function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:water_breathing" || !entity.getData("fiskheroes:mask_open");
}

function hasProperty(entity, property) {
    return property == "MASK_TOGGLE" || property == "BREATHE_SPACE" && !entity.getData("fiskheroes:mask_open");
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}


//non axe/sword- #*((100+Attack)/100)+Punch
